Skip to main content
POST
/
open
/
agentic_doc_processor
/
{tenant_name}
/
v1
/
app-manage
/
create
Create extraction application
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    app_name: '<string>',
    extract_fields: [{field_name: '<string>', field_prompt: '<string>', sub_fields: [{}]}],
    app_label: ['<string>'],
    enable_long_doc: true,
    long_doc_config: [{}]
  })
};

fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/app-manage/create', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "code": "<string>",
  "message": "<string>",
  "tips": "<string>",
  "data": {}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

tenant_name
string
default:laiye
required

Tenant name. Default: laiye.

Body

application/json
app_name
string
required
extract_fields
object[]
required
parse_mode
enum<string>
required
Available options:
standard,
advance,
agentic
app_label
string[]
enable_long_doc
boolean
long_doc_config
object[]

Response

Extraction application result.

code
message
string
tips
string | null
data
object